Internet Information Services

If you have IIS installed, you can view the product documentation by typing http://localhost/iisHelp/ in your browser address bar and pressing ENTER.

This section contains help for:

  • Installing IIS
  • Software checklist
  • Troubleshooting
  • Electronic Mail
  • Newsgroups
  • FrontPage Server Extensions


Installing IIS

Note

Information in this topic refers to IIS version 5.0; for information on later versions of IIS, check the documentation that accompanies the installation program.

Internet Information Services 5.0 is installed on Windows 2000 Server by default. You can remove IIS or select additional components by using the Add/Remove Programs application in Control Panel.

To install IIS

  1. Click Start, point to Settings, click Control Panel and start the Add/Remove Programs application.
  2. Select Configure Windows, click the Components button, and then follow the on-screen instructions to install, remove, or add components to IIS.

Note

If you upgraded to Windows 2000, IIS 5.0 will be installed by default only if IIS was installed on your previous version of Windows.


Software checklist

Internet Information Services requires that the following software be installed on the computer prior to installation:

  • The Windows TCP/IP Protocol and Connectivity Utilities. If you are publishing on the Internet, your ISP must provide your server's IP address, subnet mask, and the default gateway's IP address. (The default gateway is the ISP computer through which your computer routes all Internet traffic.)

The following optional components are recommended:

  • The Domain Name System (DNS) service installed on a computer in your intranet. If your intranet is small, you can use Hosts or Lmhosts files on all computers in your network. This step is optional, but it does allow users to use "friendly" text names instead of IP addresses. On the Internet, Web sites usually use the Domain Name System. If you register a domain name for your site, users can type your site's domain name in a browser to contact your site.
  • For security purposes, Microsoft recommends that all drives used with IIS be formatted with NTFS.
  • Microsoft FrontPage to create and edit HTML pages for your Web site. FrontPage is a WYSIWYG editor that provides a friendly, graphical interface for tasks such as inserting tables, graphics, and scripts.
  • Microsoft Visual InterDev to create and develop interactive Web applications.

Related Topics

If you have IIS installed, more information is available in the IIS online documentation, available by typing http://localhost/iisHelp/ in your browser address bar and pressing ENTER.


IIS troubleshooting

Troubleshooting

If you are having difficulty with your Web server, use the information provided in this topic to troubleshoot the following problems.

Testing Your Installation

After installing, you can test your installation by using Internet Explorer to view the files in your home directory.

To test a Web site connected to the Internet

  1. Ensure that your Web server has HTML files in the Wwwroot folder.
  2. Start a Web browser, such as Internet Explorer, on a computer that has an active connection to the Internet. This computer can be the computer you are testing, although using a different computer on the network is recommended.
  3. Type in the URL for the home directory of your new Web site.

    4. The URL is "http://" followed by the name of your Web site, followed by the path of the file you want to view. (Note the forward slash marks.) For example, if your site is registered in DNS as "examples.microsoft.com" and you want to view the file Homepage.htm in the root of the home directory, in the Address box you type: http://examples.microsoft.com/homepage.htm then press ENTER. The home page appears on the screen.

To test a Web site on your intranet

  1. Ensure that your computer has an active network connection and that the WINS server service (or other name resolution method) is functioning.
  2. Start a Web browser, such as Microsoft Internet Explorer.
  3. Type in the Uniform Resource Locator (URL) for the home directory of your new server.

    4. The URL is "http://" followed by the Windows Networking name of your server, followed by the path of the file you want to view. (Note the forward slash marks.) For example, if your Web site is registered with the WINS server as "Admin1" and you want to view the file Homepage.htm in the root of the home directory, in the Address box you type: http://admin1/homepage.htm then press ENTER. The home page appears on the screen.

Related Topics

If you have IIS installed, more information is available in the IIS online documentation, available by typing http://localhost/iisHelp/ in your browser address bar and pressing ENTER.


Electronic Mail

If you have electronic mail (Simple Mail Transfer Protocol or SMTP) installed, you can view the product documentation by typing file:\\%systemroot%\help\mail.chm in your browser address bar and pressing ENTER.

e-mail, email, electronic mail, mailto:, Simple Mail Transfer Protocol, SMTP, mail protocols, mailbox, Lightweight Directory Access Protocol, LDAP, internet mail, configure e-mail, messages.


Newsgroups

If you have newsgroups (Network News Transfer Protocol or NNTP) installed, you can view the product documentation by typing file:\\%systemroot%\help\news.chm in your browser address bar and pressing ENTER.

news, newsgroups, newsfeed, news sites, Network News Transfer Protocol, NNTP, news protocols, internet news.


FrontPage Server Extensions

The FrontPage Server Extensions are a set of three programs that support features such as collaborative authoring, hit counters, e-mail form-handling, and editing a Web site directly on a server computer.

The Microsoft® FrontPage® MMC snap-in is a program that you use to administer the FrontPage Server Extensions and FrontPage-extended webs. You can use it to extend virtual servers, create subwebs, upgrade the server extensions on a web, convert folders into subwebs and vice versa, recalculate hyperlinks in a web, and much more.

The Microsoft® FrontPage® MMC snap-in has a complete help system providing FrontPage server extensions overviews and descriptions of server extensions administrative techniques. This help file is installed by default at C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\bin\nnnn\Fpmmc.chm, where nnnn is a numerical name based on the language in which you installed the FrontPage Server Extensions. For example, in a U.S. English installation, the path is C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\40\bin\1033\Fpmmc.chm. Documentation of the server extensions is also available at http://officeupdate.microsoft.com/frontpage/wpp/serk/.

FrontPage Server Extensions, web server, web administration, administer webs, FrontPage-extended web


IIS search results page

Internet Information Services

The topic you have searched for is available in the IIS online help. If you have IIS installed, you can view the documentation by typing http://localhost/iisHelp/ in your browser address bar and pressing ENTER. You can then re-enter your query.

Using Internet Information Services

Internet Information Services (IIS) is the Windows component that makes it easy to publish information and bring business applications to the Web. IIS makes it easy for you to create a strong platform for network applications and communications.

Notes

  • You can start Windows Internet Information Services by clicking Start, pointing to Programs, pointing to Administrative Tools, and clicking Computer Management. Expand the Server Applications and Services node in the console tree of the Microsoft Management Console (MMC) and select Internet Information Services.
  • If the term you are searching for does not appear in this topic, see the Internet Information Services product documentation.
Active Channel, Active Server Pages, ActiveX, administration, server, anonymous access, application root, applications, ASP built-in objects, authentication, Basic authentication, best practices, Internet, browser-based administration, browsers, Internet certificates, digital, CGI applications, challenge/response authentication, channels, clients, Internet, client-side scripting, cluster server, COM component, MTS, connection, Internet content, dynamic content, interactive, control, ActiveX, crash protection, database applications, DCOM, DHTML, XML, documentation, Internet-related, E-commerce, electronic commerce, encryption, form, FTP, File Transfer Protocol, GIF, JPG, JPEG, HTML, publishing, HTTP, IIS, Admin Object, Base Object, samples, installing, installing Internet Information Server, Internet Information Services, Internet servers, Internet Service Manager, Internet service provider, ISP, intranet, ISAPI, ISAPI extensions, ISAPI filters, ISDN, IUSR_computername, Java, Javascript, JS, Microsoft Management Console, MMC, modem, permissions, PICS, process isolation, pooling, programming, remote administration, scripting, security, Enterprise, farms, server-side scripting, session, state, SSL, standards, transaction, uniform resource locator, URL, VBScript, virtual directory, Web farms, page, site, hosting, World Wide Web, WWW, WWWroot, InetPub, InetSrv, Personal Web Manager, ISM, PWM, PWS, Personal Web Server, Personal Web Services, Peer Web Server, Peer Web Services, Secure Sockets Layer, Windows 2000, Windows 2000, Professional, Server, Advanced Datacenter.